%global gem_name tilt
%global bootstrap 0
Name:                rubygem-%{gem_name}
Version:             2.0.8
Release:             7
Summary:             Generic interface to multiple Ruby template engines
License:             MIT
URL:                 http://github.com/rtomayko/tilt
Source0:             https://rubygems.org/gems/tilt-%{version}.gem
Patch0:              tilt-2.0.10-Fix-Ruby-3.0-compatibility.patch
Patch1:              Fix-warning-when-using-yield-in-templates-on-ruby-2.7.patch 
BuildRequires:       ruby(release) rubygems-devel ruby nodejs-devel rubygem(creole)
BuildRequires:       rubygem(minitest) rubygem(nokogiri) rubygem(erubi) rubygem(builder)
BuildRequires:       rubygem(RedCloth) rubygem(redcarpet) rubygem(coffee-script)
BuildRequires:       rubygem(wikicloth) rubygem(kramdown) rubygem(rdiscount) rubygem(liquid)
BuildRequires:       rubygem(sass) rubygem(asciidoctor) rubygem(prawn) rubygem(pdf-reader)
%if ! 0%{?bootstrap}
BuildRequires:       rubygem(haml)
%endif
BuildRequires:       rubygem-ronn-ng
BuildArch:           noarch
%description
Generic interface to multiple Ruby template engines.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}
cd .%{gem_instdir}
%patch0 -p1
%patch1 -p1
cd -
sed -i -e 's|/usr/bin/env ruby|/usr/bin/ruby|' .%{gem_instdir}/bin/tilt

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/
pushd %{buildroot}%{gem_instdir}
  ronn --manual="Tilt Manual" --organization="Tilt %{version}" -r man/*.ronn
  mkdir -p %{buildroot}%{_mandir}/man1
  mv man/*.1 %{buildroot}%{_mandir}/man1
popd
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
%if ! 0%{?bootstrap}
pushd .%{gem_instdir}
sed -i '/[Bb]undler/ s/^/#/' test/test_helper.rb
#DocBook 4.5 has been removed since AsciiDoctor 2.0.0.
#htps://github.com/asciidoctor/asciidoctor/issues/3005
sed -i '/docbook 4.5/a\      skip' test/tilt_asciidoctor_test.rb
LANG=C.UTF-8 ruby -Ilib:test -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd
%endif

%files
%dir %{gem_instdir}
%{_bindir}/%{gem_name}
%license %{gem_instdir}/COPYING
%exclude %{gem_instdir}/%{gem_name}.gemspec
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/Gemfile
%{gem_instdir}/bin
%{gem_libdir}
%doc %{gem_instdir}/README.md
%exclude %{gem_instdir}/man
%exclude %{gem_cache}
%{gem_spec}
%doc %{_mandir}/man1/*

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/HACKING
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/test

%changelog
* Mon Aug 14 2023 liyanan <thistleslyn@163.com> - 2.0.8-7
- Set bootstrap 0 to enable test remove maruku gem integration

* Mon Aug 14 2023 liyanan <thistleslyn@163.com> - 2.0.8-6
- Set bootstrap 1 to address circular dependencies  

* Tue Jan 10 2023 liyanan <liyanan32@h-partners.com> - 2.0.8-5
- Use Erubi instead of Erubis

* Wed Feb 9 2022 liyanan <liyanan32@huawei.com> - 2.0.8-4
- Fix build error

* Fri Feb 07 2020 huanghaitao <huanghaitao8@huawei.com> - 2.0.8-3
- Swith rubygem-ronn-ng to drop rubygem-ronn

* Tue Dec 29 2020 Ge Wang <wangge20@huawei.com> - 2.0.8-2
- Fix compile failure due to updated AsciiDoctor

* Mon Aug 24 2020 liyanan <liyanan32@huawei.com> - 2.0.8-1
- package init
